Subject: Re: [PATCH 2/2] fast-import: add '--signed-commits=<mode>' option

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2025 09:02:29 -0700

Christian Couder <[email-masked]> writes:

> So it seems to me that I should change the code back so that its
> behavior is the same as in v1, while trying to avoid what you called
> code ergonomics regression when you reviewed v1. Ok, let's see if I
> find a way to do that.

Sorry, the above reads like (but it is a bit fuzzy and oblique to me
to be certain) I suggested a wrong approach on v1 which we are
seeing in the version under review and I am suggesting to reverse
course?  It is a bit too far apart between versions so I am not sure
if that is what is happening, but if so, sorry for making you polish
itrepeatedly.